Subject: Re: [Roll] MRHOF ETX

From: "Reddy, Joseph" <[email-masked]>
Date: Fri, 8 Jun 2012 17:24:09 +0000

Hi Om,

I don't think it is accurate to say (ETX*128) should be used everywhere. The draft uses the term ETX with different meanings at different places in the spec. 

Specifically, consider this situation:

A node computes its "path cost for a neighbor" by adding that parent's advertised Rank with the link ETX to that parent node. 

The advertised Rank of the parent is a 16-bit value that has integer and fractional parts. The MinHopRankIncrease parameter determines the length of the Integer/Fraction parts. 

Now when the draft says to add the Rank and link ETX parameters, clearly this cannot be a simple addition of the Rank with either ETX or (ETX*128). Instead, the ETX value must be converted to the same Integer/Fraction representation as the Rank ( i.e., using MinHopRankIncrease ) before being added. 
	
Do you agree ?

-Regards, Joseph

------------------------------

Message: 6
Date: Thu, 7 Jun 2012 18:45:11 -0500
From: Omprakash Gnawali <[email-masked]>
To: Dario Tedeschi <[email-masked]>
Cc: ROLL WG <[email-masked]>
Subject: Re: [Roll] MRHOF ETX
Message-ID:
	<CAErDfUSgw4rxnRefuH=[email-masked]>
Content-Type: text/plain; charset=ISO-8859-1

On Thu, Jun 7, 2012 at 6:34 PM, Dario Tedeschi <[email-masked]> wrote:
> Hi Philip
>
> When MRHOF refers to ETX, is it the ETX value as defined in RFC6551 (i.e.
> ETX * 128) or some ETX value defined by implementation?
>
> Could this be made more clear in the spec, because we are currently 
> having a discussion in ZigBee-IP as to what this value should be?

ETX * 128 as in 6551.

The suggested value for parent switch threshold with ETX is given in
6551 format in -10. But I just noticed that I forgot to convert it to
6551 format for max link and max path values. They should all be ETX * 128.

- om_p

------------------------------

_______________________________________________
Roll mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/roll

End of Roll Digest, Vol 53, Issue 16
************************************

---

From: Philip Levis <[email-masked]>
Date: Fri, 8 Jun 2012 10:36:09 -0700

> The advertised Rank of the parent is a 16-bit value that has integer and fractional parts. The MinHopRankIncrease parameter determines the length of the Integer/Fraction parts. 

I think you're misreading MRHOF, and misinterpreting MinHopRankIncrease. The MRHOF draft tries to be very explicit about this. MRHOF with ETX encodes the ETX in Rank, but MinHopRankIncrease can change the computation. If MinHopRankIncrease is greater than 128, then Rank no longer really encodes a fixed-point version of ETX, it encodes ETX plus a per-hop penalty.

> Now when the draft says to add the Rank and link ETX parameters, clearly this cannot be a simple addition of the Rank with either ETX or (ETX*128). Instead, the ETX value must be converted to the same Integer/Fraction representation as the Rank ( i.e., using MinHopRankIncrease )

Disagree -- the draft is pretty explicit on what you do, and it's not this.

Phil

---

From: "Reddy, Joseph" <[email-masked]>
Date: Fri, 8 Jun 2012 18:11:04 +0000

Phil

It doesn't seem right to me that the actual metric used varies based on setting of the MinHopRankIncrease parameter ( since that parameter is defined outside of MrHof draft and its setting may be based on other considerations ). The draft clearly states  ( in section 3.3 ): "... a node MUST advertise an approximation of its ETX in its advertised Rank value....". This sentence should be modified if the intention is to encode an ETX + Hopcount-penalty depending on MinHopRankIncrease setting. 

As an aside, is there a specific reason to use 128 as the factor for multiplying ETX? Since the default value of MinHopRankIncrease is 256 in the RPL spec, using ETX*256 as the encoding would allow the default usage to be ETX without a hopcount penalty ( which is likely to be common usage ).

 -Joseph

-----Original Message-----
From: Philip Levis [mailto:[email-masked]] 
Sent: Friday, June 08, 2012 10:36 AM
To: Reddy, Joseph
Cc: [email-masked]
Subject: Re: [Roll] MRHOF ETX

Phil